Package Details: freeswitch 1.10.2-1

Git Clone URL: https://aur.archlinux.org/freeswitch.git (read-only, click to copy)
Package Base: freeswitch
Description: An opensource and free (libre, price) telephony system, similar to Asterisk.
Upstream URL: http://freeswitch.org/
Licenses: MPL
Conflicts: freeswitch-fixed, freeswitch-git
Provides: freeswitch
Submitter: None
Maintainer: sanerb
Last Packager: sanerb
Votes: 15
Popularity: 0.002268
First Submitted: 2009-03-02 18:40
Last Updated: 2020-01-06 04:49

Required by (0)

Sources (15)

Latest Comments

« First ‹ Previous ... 6 7 8 9 10 11

bougyman commented on 2012-09-19 18:55

DO NOT INSTALL, critical vuln is being fixed, will release a new package when it's patched.

bougyman commented on 2012-01-02 23:08

Update service (/etc/sv/freeswitch/run) script for /etc/conf.d/freeswitch.conf file including.

bougyman commented on 2011-12-30 18:03

Adopted this and patterned it on freeswitch-git, but locked to a certain (stable) commit, getting ready for fs 1.0.8. There's no reason to keep 1.0.7 (evil) nor 1.0.6 (many blocking bugs) builds around any longer. If you want odbc support you'll have to uncomment it at the top of the PKGBUILD, this defaults to building without odbc in the core.

mazieres commented on 2011-09-09 23:47

This used to work, but the new version doesn't build for me any more. The error I get is:


=== configuring in libs/srtp (/tmp/yaourt-tmp-xxx/aur-freeswitch-git/src/freeswitch-build/libs/srtp)
...

configure: running /bin/sh ./configure.gnu --disable-option-checking '--prefix=/var/lib/freeswitch' '--without-python' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--localstatedir=/var' '--sysconfdir=/etc/freeswitch' '--datarootdir=/usr/share' '--libexecdir=/usr/lib/freeswitch' '--libdir=/usr/lib/freeswitch' '--includedir=/usr/include/freeswitch' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2' 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,--hash-style=gnu' 'CXXFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2' 'CONFIGURE_CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2' 'CONFIGURE_CXXFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2' 'CONFIGURE_LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,--hash-style=gnu' --cache-file=/dev/null --srcdir=.
./configure.gnu: line 3: ./configure: No such file or directory
configure: error: ./configure.gnu failed for libs/srtp

Ravenman commented on 2010-12-27 17:41

I can't compile it:

==> Making package: freeswitch 1.0.6-1 (Mon Dec 27 12:39:52 COT 2010)
==> Checking Runtime Dependencies...
==> Checking Buildtime Dependencies...
==> Retrieving Sources...
-> Found freeswitch-1.0.6.tar.gz
-> Found freeswitch
==> Validating source files with md5sums...
freeswitch-1.0.6.tar.gz ... Passed
freeswitch ... Passed
==> Extracting Sources...
-> Extracting freeswitch-1.0.6.tar.gz with bsdtar
==> Starting build()...
mv: cannot stat `scripts/contrib/dschreiber/mod_nibblebill': No such file or directory
Aborting...
==> ERROR: Makepkg was unable to build freeswitch.
==> Restart building freeswitch ? [y/N]
==> -----------------------------------
==>

bougyman commented on 2010-10-19 18:56

Can you remove dahdi from the depends? It's rarely used in the freeswitch community and conflicts with preferred hardware drivers (openzap/freetdm).

thiagoc commented on 2010-08-06 11:38

subversion should be on makedepends.

thiagoc commented on 2010-08-06 03:35

Remove the line

mv scripts/contrib/dschreiber/mod_nibblebill src/mod/applications/ #the billing module isn't in the default tree (yet)

from PKGBUILD, it is not necessary anymore.